Name:           scim-array
Version:        1.0.1
Release:        0%{?dist}
Summary:        SCIM Array 30 Input Method Engine

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://scimarray.openfoundry.org/

Source0:        http://of.openfoundry.org/download_path/scimarray/%{version}/%{name}-%{version}.tar.gz
#Patch0:        %{name}.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  scim-devel, gettext 
Requires:       scim
Summary(zh_TW): SCIM 行列 30 輸入法引擎

%description
SCIM Array 30 Input Method Engine provides with all the functions of Array 30,
including 1st and 2nd level short codes, special codes, and symbol input.

%description -l zh_TW
scim-array 為 SCIM 輸入法框架中完整實作行列 30 輸入法功能的輸入法引擎模組，
支援一級簡碼、二級簡碼、特別碼、符號輸入等功能，並和 OpenVanilla 中之行列輸入法一樣
，提供特別碼的提示和特行模式。scim-array 為自由軟體，採 GPL 授權方式釋出。

特點
 * 支援行列 6.0 Unicode 字碼表，可輸入Unicode Ext.A 及 Ext.B 中日韓漢字
 * 支援一級簡碼及二級簡碼
 * 支援特別碼輸入 
 * 具有特別碼提示功能， 可幫助記憶特別碼
 * 具有特行模式，強迫使用特別碼輸入， 以提升打字速度
 * 完整 SCIM 支援，使用 SCIM 內建函式庫進行開發，無需另裝其它函式庫或輸入法框架

%prep
%setup -q
#%patch0 -p0 -b .bak

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}%{_libdir}/scim-1.0/1.4.0/IMEngine/array.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/scim-1.0/1.4.0/SetupUI/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/scim-1.0/1.4.0/IMEngine/array.so
%{_libdir}/scim-1.0/1.4.0/SetupUI/array-imengine-setup.so
%{_datadir}/scim/Array
%{_datadir}/scim/icons/scim-array.png


%changelog
* Wed Nov 26 2008 Ding-Yi Chen <dchen at redhat dot com> - 1.0.1-0
- Upstream update to 1.0.1
* Tue May 20 2008 Ding-Yi Chen <dchen at redhat dot com> - 1.0.0-0
- Upstream update to 1.0.0
* Fri Feb 15 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.0.4
- Update to 0.0.4
* Thu Feb 14 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.0.3-2
- Build with GCC4.3
* Tue Feb 12 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.0.3-0
- Update to 0.0.3
* Wed Oct 31 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.2-1
- Correct URL
* Wed Aug 29 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.2-0
- Update to 0.0.2
* Fri Aug 17 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.1-4
- Remove tags in the changelog section
* Fri Aug 17 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.1-3
- Remove following files in file section
  scim/Array/array-shortcode.cin
  scim/Array/array-special.cin
  scim/Array/array30.cin
* Fri Aug 17 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.1-2
- Add scim/Array in file section.
* Fri Aug 17 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.1-1
- Update spec file according to Bugzilla (#253805).
* Fri Aug 17 2007 Ding-Yi Chen <dchen at redhat dot com> - 0.0.1-0
- initial packaging

